Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transit API

TES-IN-v1-transit.yaml

Request to send personalization data to a digital card

post

This method is used by TES to submit the perso data used for personalizing a digital card. This request is sent after TES approves a previous provisionCard call and after finishing to prepare the required data.

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

cardIdstring · min: 1 · max: 48Required

The Card Identifier. Unique for each card.

Responses
200

submitCardPersoData response payload

application/json
post
/submitCardPersoData

Request to update the state of a digital card

post

This method is used by TES to request to update the state of a digital card.

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

cardIdstring · min: 1 · max: 48Required

The Card Identifier. Unique for each card.

actionstring · enumRequired

The LCM action to apply on the card.Possible values are:

  • DELETE
  • SUSPEND
  • RESUME
  • ERASE (used in the Rights of Individuals context) All personal data are physically removed from TSH server
Possible values:
Responses
200

updateCardState response payload

application/json
post
/updateCardState

Request to update the metadata of a card

post

This method is used by TES to request to update the metadata of a digital card:

  • either commute plans metadata

  • or card arts

It's not possible to update them both in a single request.

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

cardIdstring · min: 1 · max: 48Required

The Card Identifier. Unique for each card.

cardArtManifeststring[]Optional

Array of asset identifiers required to build card arts. Both cardBackground and icon asset identifiers shall be provided.

Asset identifier can be up to 64 characters.

When this parameter is provided, a request will be sent to wallet provider for updating the card arts deployed with the ones specified

Responses
200

updateCardMetadata response payload

application/json
post
/updateCardMetadata

Request to initiate a session for a digital card

post

This method is used by TES to request TSH to initiate a session for a digital card. This request is sent when TES needs to exchange commands with targeted device (during a topup for example).

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

cardIdstring · min: 1 · max: 48Required

The Card Identifier. Unique for each card.

operationstring · enumOptional

The operation to be initiated

Possible values:
Responses
200

initiateCardSession response payload

application/json
post
/initiateCardSession

Request to get the list of cards details associated to a card account

post

This method is used by TES to request TSH to return the list of cards associated to the specified card account.

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

cardAccountIdstring · min: 1 · max: 48Required

The Card Account Identifier. Unique for each card account.

Responses
200

getCards response payload

application/json
walletCardAccountIdstring · min: 1 · max: 64Optional

The Wallet Card Account Identifier. Unique for each wallet card account.

walletAccountIdstring · min: 1 · max: 128Optional

The Wallet Account Identifier. Unique for each wallet account.

cardAccountStatestring · enumOptionalPossible values:
post
/getCards

Request to refund a card account

post

This method is used by TES to notify TSH that a card account has been refunded.

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

cardAccountIdstring · min: 1 · max: 48Required

The Card Account Identifier. Unique for each card account.

Responses
200

refundCardAccount response payload

application/json
post
/refundCardAccount

Get request status

post

This method is used by TES to check the status of an asynchronous request previously submitted.

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

targetRequestIdstring · min: 1 · max: 48Required

Unique request identifier

Responses
200

getRequestStatus response payload

application/json
requestStatusstring · enumOptional

The status of the request.

Possible values:
post
/getRequestStatus

Last updated

Was this helpful?